#!/usr/bin/python
# -*- coding: utf-8 -*-
import cgi
import sqlite3
import sys
import json

data = sys.stdin.read()
params = json.loads(data)

def get_data(table,field):
    # データベースの接続設定
    dbname = 'test.db'  # データベースのファイル名
    conn = sqlite3.connect(dbname) # 接続するデータベースの指定
    cur = conn.cursor() # Cursorインスタンスの作成
    cur.execute('SELECT '+ field +' FROM ' + table)
    d_list = cur.fetchall()
    for data in d_list:
        return str(data[0]) 


result = {'answer': get_data(params['table'],params['field'])}

print("Content-type: application/json")
print("\n\n")
print(json.JSONEncoder().encode(result))
print('\n')